/* ================ Footer ================ */
.footer {
    display: block;
    box-sizing: border-box;
    background-color: var(--footer-color);
}

/* ---- CONTAINER FOOTER ---- */
.container_footer { padding: 20px; }

/* ---- BLOCK COLUMN ---- */
.d-flex {
    width: 100%;
    display: flex;
    flex-direction: row;
}

/* COLUMN */
.col {
    background-color: var(--footer-sector-color);
    border-radius: 10px;
    display: grid;
    gap: 5px;
    grid-template-columns: repeat(4, 150px);
    padding: 10px;
}

.info_div { margin: 10px 0px 10px 0px; }

/* TITLE IN INFO COLUMN */
.info_div h2 {
    padding: 0px 5px 0px 5px;
    font-size: 15px;
    color: var(--link-footer-color);
    text-align: center;
}

/* LIST IN COLUMN */
.item_menu {
    width: 100%;
    display: flex;
    flex-direction: column;
    text-align: center;
}

/* LI */
.item_menu li {
    list-style: none;
    padding: 5px 0px 5px 0px;
}

/* LINK */
.footer_link {
    text-decoration: none;
    color:  var(--link-footer-color);
    font-size: 13px;
}
.footer_link:hover {
    color:  var(--link-footer-hover-color);
}

/* SOCIAL MEDIA DIV */
.col_social {
    background-color: var(--footer-sector-color);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-left: 20px;
}

/* TITLE IN SOCIAL MEDIA */
.col_social h2 {
    padding: 10px 5px 10px 20px;
    font-size: 15px;
    color:  var(--link-footer-color);
}

/* LIST NETWORKS */
.social_net {
    list-style: none;
    padding: 0px 15px 15px 15px;
    width: 100%;
    display: grid;
    gap: 5px;
    grid-template-columns: repeat(auto-fit, minmax(10px, 40px));
    justify-items: center;
}

/* SOCIAL LINK WITH IMG */
.social_link  {
    text-decoration: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    color:  var(--link-footer-color);
}
.social_link img {
    width: 35px;
    height: 35px;
}
.social_link p {
    display: none;
    margin-left: 20px;
    font-weight: bold;
}

/* SOCIAL NETWORKS */
.copyrights {
    display: flex;
    margin-top: 20px;
}

/* CONTAINER IN SOCIAL */
.container_social {
    width: 100%;
    height: 100%;
    background-color: var(--footer-sector-color);
    border-radius: 10px;
    padding: 10px;
}

/* LIST IN COPYRIGHTS */
.social_copyrights {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: stretch;
}

/* LI */
.social_copyrights li {
    list-style: none;
    display: flex;
    align-items: center;
    height: 100%;
    margin-right: 20px;
}

/* LINKS */
.social_copyrights li a,  .social_copyrights li p {
    text-decoration: none;
    color:  var(--link-footer-color);
    font-size: 13px;
    font-weight: bold;
}
.social_copyrights li a:hover {
    text-decoration: underline;
    color:  var(--link-footer-hover-color);
}



/* ----- MEDIA BREAKPOINTS ----- */
@media (max-width: 934px) {
    /* ---- BLOCK COLUMN ---- */
    .d-flex {
        flex-direction: column;
    }

    .info_div {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .info_div h2 {
        padding-left: 0px;
        padding-right: 0px;
    }

    .item_menu {
        align-items: center;
    }

    .item_menu li {
        padding-left: 0px;
        padding-right: 0px;
    }

    .col {
        align-content: center;
        justify-content: center;
        grid-template-columns: repeat(2, minmax(110px, 150px));
    }

    .col_social {
        margin-left: 0px;
        margin-top: 20px;
    }
}

@media (max-width: 768px) {
    
}

@media (max-width: 640px) {
    .social_copyrights {
        flex-direction: column;
    }
    
    .social_copyrights li:not(:first-child) {
        margin-top: 10px;
    }
}

@media (max-width: 400px) {
    .col {
        display: flex;
        flex-direction: column;
    }
}